Debian Bug report logs - #529287
python-smartpm: does not install due to file conflict

version graph

Package: python-smartpm; Maintainer for python-smartpm is Michael Vogt <mvo@debian.org>; Source for python-smartpm is src:smart.

Reported by: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>

Date: Mon, 18 May 2009 13:00:02 UTC

Severity: serious

Tags: moreinfo

Found in version smart/1.2-2

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Vogt <mvo@debian.org>:
Bug#529287; Package python-smartpm. (Mon, 18 May 2009 13:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>:
New Bug report received and forwarded. Copy sent to Michael Vogt <mvo@debian.org>. (Mon, 18 May 2009 13:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-smartpm: does not install due to file conflict
Date: Mon, 18 May 2009 13:57:37 +0100
Package: python-smartpm
Version: 1.2-2+b1
Severity: important


  When I try to upgrade python-smartpm 1.2-1 with version 1.2-2+b1, I
get this:

Preparing to replace python-smartpm 1.2-1 (using .../python-smartpm_1.2-2+b1_amd64.deb) ...
Unpacking replacement python-smartpm ...
dpkg: error processing /var/cache/apt/archives/python-smartpm_1.2-2+b1_amd64.deb (--unpack):
 trying to overwrite `/usr/share/pyshared/smart/interfaces/gtk/channels.py', which is also in package smartpm


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=el_GR.UTF-8, LC_CTYPE=el_GR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-smartpm depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-central                0.6.11     register and build utility for Pyt
ii  python-pexpect                2.3-1      Python module for automating inter
ii  python-pycurl                 7.19.0-1   Python bindings to libcurl

python-smartpm recommends no packages.

python-smartpm suggests no packages.

-- no debconf information

-- 
The University of Edinburgh is a charitable body, registered in
Scotland, with registration number SC005336.





Information forwarded to debian-bugs-dist@lists.debian.org, Michael Vogt <mvo@debian.org>:
Bug#529287; Package python-smartpm. (Tue, 03 Nov 2009 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
Extra info received and forwarded to list. Copy sent to Michael Vogt <mvo@debian.org>. (Tue, 03 Nov 2009 07:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 529287@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: 529287@bugs.debian.org
Subject: serious
Date: Tue, 3 Nov 2009 08:40:37 +0100
I'm raising the prioriry of this bug to serious since it is against
policy to try to overwrite a file owned by another package. -Ralf.




Severity set to 'serious' from 'important' Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Tue, 03 Nov 2009 07:54:07 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 29 Nov 2009 10:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Vogt <mvo@debian.org>:
Bug#529287; Package python-smartpm. (Sun, 29 Nov 2009 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Vogt <mvo@debian.org>. (Sun, 29 Nov 2009 10:54:03 GMT) Full text and rfc822 format available.

Message #19 received at 529287@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>, 529287@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#529287: python-smartpm: does not install due to file conflict
Date: Sun, 29 Nov 2009 11:50:53 +0100
[Message part 1 (text/plain, inline)]
tag 529287 + moreinfo
thanks

On Mon, 18 May 2009 13:57:37 +0100, Vasilis Vasaitis wrote:

>   When I try to upgrade python-smartpm 1.2-1 with version 1.2-2+b1, I
> get this:
> 
> Preparing to replace python-smartpm 1.2-1 (using .../python-smartpm_1.2-2+b1_amd64.deb) ...
> Unpacking replacement python-smartpm ...
> dpkg: error processing /var/cache/apt/archives/python-smartpm_1.2-2+b1_amd64.deb (--unpack):
>  trying to overwrite `/usr/share/pyshared/smart/interfaces/gtk/channels.py', which is also in package smartpm

I think this bug can be closed; there's only 1.2-4 in the archive,
and in this version /usr/share/pyshared/smart/interfaces/gtk/channels.py 
gets installed into smartpm again (and not into python-smartpm). So
the upgrade should just work.

Vasilis, could you try to upgrade again (or tell us if you already
have) - is there still a problem?

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #362:  Plasma conduit breach 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Vogt <mvo@debian.org>:
Bug#529287; Package python-smartpm. (Wed, 02 Dec 2009 20:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>:
Extra info received and forwarded to list. Copy sent to Michael Vogt <mvo@debian.org>. (Wed, 02 Dec 2009 20:12:10 GMT) Full text and rfc822 format available.

Message #24 received at 529287@bugs.debian.org (full text, mbox):

From: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>
To: gregor herrmann <gregoa@debian.org>
Cc: 529287@bugs.debian.org
Subject: Re: Bug#529287: python-smartpm: does not install due to file conflict
Date: Wed, 2 Dec 2009 20:02:18 +0000
On Sun, Nov 29, 2009 at 11:50:53AM +0100, gregor herrmann wrote:
> tag 529287 + moreinfo
> thanks
> 
> On Mon, 18 May 2009 13:57:37 +0100, Vasilis Vasaitis wrote:
> 
> >   When I try to upgrade python-smartpm 1.2-1 with version 1.2-2+b1, I
> > get this:
> > 
> > Preparing to replace python-smartpm 1.2-1 (using .../python-smartpm_1.2-2+b1_amd64.deb) ...
> > Unpacking replacement python-smartpm ...
> > dpkg: error processing /var/cache/apt/archives/python-smartpm_1.2-2+b1_amd64.deb (--unpack):
> >  trying to overwrite `/usr/share/pyshared/smart/interfaces/gtk/channels.py', which is also in package smartpm
> 
> I think this bug can be closed; there's only 1.2-4 in the archive,
> and in this version /usr/share/pyshared/smart/interfaces/gtk/channels.py 
> gets installed into smartpm again (and not into python-smartpm). So
> the upgrade should just work.
> 
> Vasilis, could you try to upgrade again (or tell us if you already
> have) - is there still a problem?

  I have since removed smartpm from all my systems (partly because of
this), so I cannot test the upgrade any more. Installing it anew
appears to work fine of course. So yeah, might as well close this.

Thanks,
Vasilis

-- 
Vasilis Vasaitis
"A man is well or woe as he thinks himself so."






Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 02 Dec 2009 21:06:13 GMT) Full text and rfc822 format available.

Notification sent to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>:
Bug acknowledged by developer. (Wed, 02 Dec 2009 21:06:13 GMT) Full text and rfc822 format available.

Message #29 received at 529287-done@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>
Cc: 529287-done@bugs.debian.org
Subject: Re: Bug#529287: python-smartpm: does not install due to file conflict
Date: Wed, 2 Dec 2009 22:02:48 +0100
[Message part 1 (text/plain, inline)]
On Wed, 02 Dec 2009 20:02:18 +0000, Vasilis Vasaitis wrote:

> On Sun, Nov 29, 2009 at 11:50:53AM +0100, gregor herrmann wrote:
> > I think this bug can be closed; there's only 1.2-4 in the archive,
> > and in this version /usr/share/pyshared/smart/interfaces/gtk/channels.py 
> > gets installed into smartpm again (and not into python-smartpm). So
> > the upgrade should just work.
> > 
> > Vasilis, could you try to upgrade again (or tell us if you already
> > have) - is there still a problem?
> 
>   I have since removed smartpm from all my systems (partly because of
> this), so I cannot test the upgrade any more. Installing it anew
> appears to work fine of course. So yeah, might as well close this.

Thanks for your quick reply! 

Ok, I think closing the bug is the way to go.

Cheers,
gregor
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Anouar Brahem: Le Pas Du Chat Noir
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 Dec 2009 07:44:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:05:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.